Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 10.3.x for test
  5. Search main for test
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.
Test class core/modules/config/tests/config_constant_test/src/Test.php A test class.

All search results

Title Object type File name Summary
TermLanguageTest::testDefaultTermLanguage function core/modules/taxonomy/tests/src/Functional/TermLanguageTest.php Tests the default language selection for taxonomy terms.
TermLanguageTest::testTermLanguage function core/modules/taxonomy/tests/src/Functional/TermLanguageTest.php Tests the language of a term.
TermLanguageTest::testTermTranslatedOnOverviewPage function core/modules/taxonomy/tests/src/Functional/TermLanguageTest.php Tests that translated terms are displayed correctly on the term overview.
TermLocalizedTranslationTest class core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermLocalizedTranslationTest.php Tests D6 i18n term localized source plugin.
TermLocalizedTranslationTest class core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d7/TermLocalizedTranslationTest.php Tests D7 i18n term localized source plugin.
TermLocalizedTranslationTest.php file core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermLocalizedTranslationTest.php
TermLocalizedTranslationTest.php file core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d7/TermLocalizedTranslationTest.php
TermLocalizedTranslationTest::$modules property core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermLocalizedTranslationTest.php Modules to install.
TermLocalizedTranslationTest::$modules property core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d7/TermLocalizedTranslationTest.php Modules to install.
TermLocalizedTranslationTest::providerSource function core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermLocalizedTranslationTest.php Provides source data for ::testSource.
TermLocalizedTranslationTest::providerSource function core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d7/TermLocalizedTranslationTest.php Provides source data for ::testSource.
TermNameFieldTest class core/modules/taxonomy/tests/src/Functional/Views/TermNameFieldTest.php Tests the term_name field handler.
TermNameFieldTest class core/modules/taxonomy/tests/src/Kernel/Views/TermNameFieldTest.php Tests the term_name field handler.
TermNameFieldTest.php file core/modules/taxonomy/tests/src/Kernel/Views/TermNameFieldTest.php
TermNameFieldTest.php file core/modules/taxonomy/tests/src/Functional/Views/TermNameFieldTest.php
TermNameFieldTest::$defaultTheme property core/modules/taxonomy/tests/src/Functional/Views/TermNameFieldTest.php The theme to install as the default for testing.
TermNameFieldTest::$testViews property core/modules/taxonomy/tests/src/Functional/Views/TermNameFieldTest.php
TermNameFieldTest::$testViews property core/modules/taxonomy/tests/src/Kernel/Views/TermNameFieldTest.php Views to be enabled.
TermNameFieldTest::testTermNameField function core/modules/taxonomy/tests/src/Kernel/Views/TermNameFieldTest.php Tests term name field plugin functionality.
TermNameFieldTest::testTermNameField function core/modules/taxonomy/tests/src/Functional/Views/TermNameFieldTest.php Tests term name field plugin functionality.
TermNodeTest class core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php Tests d6_term_node source plugin.
TermNodeTest.php file core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php
TermNodeTest::$modules property core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php Modules to install.
TermNodeTest::providerSource function core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php Provides source data for ::testSource.
TermParentsTest class core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests managing taxonomy parents through the user interface.
TermParentsTest.php file core/modules/taxonomy/tests/src/Functional/TermParentsTest.php
TermParentsTest::$defaultTheme property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The theme to install as the default for testing.
TermParentsTest::$modules property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Modules to install.
TermParentsTest::$state property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The state service.
TermParentsTest::$termStorage property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The term storage.
TermParentsTest::$vocabularyId property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The ID of the vocabulary used in this test.
TermParentsTest::assertParentOption function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Asserts that an option in the parent form element of terms exists.
TermParentsTest::assertParentsUnchanged function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Asserts that the parents of the term have not changed after saving.
TermParentsTest::createTerm function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Creates a term, saves it and returns it.
TermParentsTest::doTestEditingSingleParent function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Performs tests that edit terms with a single parent.
TermParentsTest::setUp function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php
TermParentsTest::submitAddTermForm function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Creates a term through the user interface and returns it.
TermParentsTest::testAddWithParents function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests specifying parents when creating terms.
TermParentsTest::testEditingParents function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests editing the parents of existing terms.
TermParentsTest::testEditingParentsWithDisabledFormElement function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests specifying parents when creating terms and a disabled parent form.
TermParentsTest::testParentFromQuery function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Test the term add/edit form with parent query parameter.
TermResourceTestBase class core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Resource test base for taxonomy term entity.
TermResourceTestBase.php file core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php
TermResourceTestBase::$entity property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php
TermResourceTestBase::$entityTypeId property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The tested entity type.
TermResourceTestBase::$modules property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Modules to install.
TermResourceTestBase::$patchProtectedFieldNames property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The fields that are protected against modification during PATCH requests.
TermResourceTestBase::createEntity function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Creates the entity to be tested.
TermResourceTestBase::getExpectedCacheContexts function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The expected cache contexts for the GET/HEAD response of the test entity.
TermResourceTestBase::getExpectedCacheTags function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The expected cache tags for the GET/HEAD response of the test entity.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.